<template>
<v-container px-0 mx-0>
    <v-layout row wrap justify-center>
      <div>
        <!--iframe class="img-hero" width="380" height="250" src="https://www.youtube.com/embed/SacJcg8hVY0?autoplay=1&showinfo=0&controls=0&loop=1&modestbranding=1" autoplay frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe-->
        <!--img class="img-hero" src="../assets/IMG/Hero@2x.png"-->
        <img class="img-hero" src="../assets/IMG/grana.gif">

      </div>

      <div class="overlay card-3 .theme--light">
        <v-container px-0 text-xs-left >
        <v-layout row >
          <v-flex px-1 pt-1 xs12 sm12 md12 align-left text-xs-center class="">
            <img class="img-mozzarella" src="../assets/IMG/lotti-vari-test.png">
          </v-flex>

        </v-layout>
        <v-layout>

          <v-flex px-3 xs6 sm6 md6 text-xs-center>

            <p class="titolettotop">{{$t('Numero Lotto')}}</p>
            <p>{{idVal}}</p>
            

          </v-flex>
          <v-flex px-3 xs6 sm6 md6 text-xs-center>

            <p class="titolettotop whitespacenowrap">{{$t('Raccolta Latte')}}</p>
            <p>24/02/2020</p>

          </v-flex>
        </v-layout>
        </v-container>
      </div>
    </v-layout>
    <v-layout ml-3 mr-1 px-3 mt-4>
            <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('descrizione_prodotto')" link="#" v-bind:less-str="$t('show_less')" :max-chars="200" class="mt-3 mb-3 text-xs-center"></read-more>
    </v-layout>
</v-container>
</template>

<script>

export default {
  name: 'top',
  props: {
  },
  data () {
    return {
      idVal: this.$store.getters.BATCHID,
      posts: this.$store.getters.BATCHINFO
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.whitespacenowrap{
  white-space: nowrap;
}
.img-hero{
  width: 100%;
  max-width: 700px;
}
.img-mozzarella{

    width: 100%;
}
.overlay
{  
    background-color: white;
    margin-top: -8%;
    width: 96%;
    z-index: 2;
}
.wcard{
  width: 80%;
  border-radius: 20px;
  margin: auto;
  padding: 0px;
  background-color: white;
}
.bg-white2{
  background-color: white;
}
.topbanner {
  width: 90%
}
.border-radius{
  border-radius: 20px;
}
.titolettotop{
  font-weight: 600;
  padding-bottom: 0px;
  margin-bottom: 2%;
}
@media (min-width: 768px) {
.overlay
  {
    margin-top: -8%;
    width: 96%;
    z-index: 2;
  }
}


</style>